Skip to content

database_api.list_decline_voting_rights_requests ​

since HF14

Purpose ​

Returns a list of decline voting rights requests. Parameters: start:object; limit:int; order:string

  • start depends on order (see below)
  • limit is up to 1000.
  • order can be one of:
    • by_account - order by account
      • start is a string: account
    • by_effective_date - order by effective date
      • start is an array of two values: timestamp, account

| start (object) | limit (int) | order (string) | | |----------------------------|---------------|-| | "" | 10 | "by_account" | Queries first 10 requests, sort by account | | ["1960-01-01T00:00:00", ""] | 10 | "by_effective_date" | Queries first 10 requests, sort by effective date |

Also see: Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_name"
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_decline_voting_rights_requests",
    "params": {
      "start": "",
      "limit": 10,
      "order": "by_account"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_decline_voting_rights_requests",
    "params": {
      "start": [
        "1970-01-01T00:00:00",
        "",
        ""
      ],
      "limit": 10,
      "order": "by_effective_date"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "requests": []
}